=== debian/changelog ===
iir1 (1.9.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 16 Aug 2024 17:12:55 +0200
