## iir1 1.10.0%2Bdfsg

=== debian/changelog ===
iir1 (1.10.0+dfsg-4) unstable; urgency=medium

  * Disable the static library entirely, instead of building it and not
    shipping it, which results in a dysfunctional CMake configuration
    file. Closes: #1125282.
  * Drop the versioned dependency on doxygen-latex: all versions of
    doxygen-latex currently available in Debian build the documentation
    correctly.
  * Drop “Priority: optional” since it’s now the default.
  * Standards-Version 4.7.3, no further change required.
  * Update debian/watch to version 5.

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Jan 2026 18:42:25 +0100

iir1 (1.10.0+dfsg-3) unstable; urgency=medium

  * Drop the doxygen fix, which is no longer needed with doxygen 1.15.0
    and actually breaks the build with that version. Closes: #1122429.
  * Drop “Rules-Requires-Root: no” since it’s now the default.

 -- Stephen Kitt <skitt@debian.org>  Thu, 11 Dec 2025 18:12:36 +0100

iir1 (1.10.0+dfsg-2) unstable; urgency=medium

  * Apply the Doxygen workaround for LaTeX errors when building the PDF
    documentation.

 -- Stephen Kitt <skitt@debian.org>  Fri, 29 Aug 2025 13:17:46 +0200

iir1 (1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream release. The upstream changelog mentions a change in an
    exported symbol, but the only change was in a header file and the
    exported symbols aren’t affected.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 29 Aug 2025 08:52:46 +0200
