## iir1 1.10.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.8.0)
 
-project(iir VERSION 1.9.5 LANGUAGES CXX)
+project(iir VERSION 1.10.0 LANGUAGES CXX)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR})
