=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: iir1
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: libs
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
 Build-Depends-Indep:
  doxygen-latex,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/iir1
 Vcs-Git: https://salsa.debian.org/debian/iir1.git
 Homepage: https://www.berndporr.me.uk/iir/
-Rules-Requires-Root: no
 
 Package: libiir-dev
 Architecture: any
