=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DIIR1_INSTALL_STATIC=OFF

override_dh_auto_build-indep:
	doxygen
	make -C docs/pdf

override_dh_auto_test-indep:

override_dh_auto_install-indep:
