=== debian/watch ===
Version: 5

Template: Github
Dversionmangle: s/\+dfsg$//
Owner: berndporr
Project: iir1
Repacksuffix: +dfsg
